using PkmnLib.Static;

namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "cosmic_power")]
public class CosmicPower : Script
{
    /// <inheritdoc />
    public override void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        EventBatchId eventBatchId = new();
        move.User.ChangeStatBoost(Statistic.Defense, 1, true, eventBatchId);
        move.User.ChangeStatBoost(Statistic.SpecialDefense, 1, true, eventBatchId);
    }
}